libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId > Class Template Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId > Class Template Reference

`#include <IWORKPtrPropertyContext.h>`

Inheritance diagram for libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId >:

## Public Member Functions
| IWORKPtrPropertyContext (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKPropertyInfo< Property >::ValueType | m_value

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKPropertyContextBase
| IWORKPropertyContextBase (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKPropertyContextBase
IWORKPropertyMap & | m_propMap
bool | m_default
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPtrPropertyContext()

template<typename Property , typename Context , int TokenId>

libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId >::IWORKPtrPropertyContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap
| ) |  |

## Member Function Documentation

## ◆ element()

template<typename Property , typename Context , int TokenId>

IWORKXMLContextPtr_t libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId >::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

template<typename Property , typename Context , int TokenId>

void libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId >::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_value

template<typename Property , typename Context , int TokenId>

IWORKPropertyInfo<Property>::ValueType libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId >::m_value
| private

The documentation for this class was generated from the following file:

- IWORKPtrPropertyContext.h